#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 13. Programming

- Prev

  Rustc-1.47.0

- Next

  slang-2.3.2

- Up
- Home

# SCons-4.1.0

## Introduction to SCons

SCons is a tool for building software (and other files) implemented in Python.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/scons/scons-4.1.0.tar.gz

- Download MD5 sum: f083e00f6ecfc940edd6a0eb168ffe8c

- Download size: 2.9 MB

- Estimated disk space required: 71 MB

- Estimated build time: less than 0.1 SBU

### SCons Dependencies

#### Optional

docbook-xsl-1.79.2 and libxslt-1.1.34

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/scons

## Installation of SCons

Install SCons by running the following commands as the `root` user:

    sed -i 's/env python/&3/' SCons/Utilities/*.py              &&
    sed -i 's:build/doc/man/::' setup.cfg                       &&
    python3 setup.py install --prefix=/usr  \
                             --optimize=1   \
                             --install-data=/usr/share/man/man1 &&
    cp scons{,ign}.1 /usr/share/man/man1

## Contents

Installed Programs: scons, scons-configure-cache, and sconsign
Installed Libraries: None
Installed Directory: /usr/lib/python3.9/site-packages/SCons

### Short Descriptions

scons | is a software construction tool
scons-configure-cache | shows or converts the configuration of an SCons cache directory
sconsign | prints SCons `.sconsign` file information

Last updated on 2021-02-20 11:35:58 -0800

- Prev

  Rustc-1.47.0

- Next

  slang-2.3.2

- Up
- Home